<URL: http://bugs.freeciv.org/Ticket/Display.html?id=39459 >

> gcc 4.x miscompiles gtk producing strange crashes that seem to originate
> in libc (strlen). I don't know if there are some special compiler
> switches one can use to make gcc 4 compile without this bug; the
> problem goes away if you compile gtk (and glib, etc.) with gcc 3.x
> (tested with gcc 3.4.6 gtk 2.10.13 glib 2.12.12). Hope that helps.

My tests show that you're wrong. Compiling gtk2 and glib2 with gcc-3.3 didn't 
change anything. On the other hand, compiling FreeCiv with gcc-3.3 seems to 
fix or work around the bug.



_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to